<?php
    if($_SESSION['id_user'] == "" ){
        echo '
			<script>
				window.location = "/login"
			</script>
        ';
    }

    $queryUsr = mysqli_query($connect,"SELECT * FROM Asistentes WHERE id = '".$_SESSION['id_user']."' ");
    $dataUsr = mysqli_fetch_array($queryUsr);


    $query = mysqli_query($connect,"SELECT * FROM Live WHERE estado = 1 ");
	$data = mysqli_fetch_array($query);

    $queryTrivia = mysqli_query($connect,"SELECT * FROM Trivias WHERE estado = 1 ");
	$dataTrivia = mysqli_fetch_array($queryTrivia);
    
    $idTrivia = 0;
    $finalizado = true;

    if($queryTrivia->num_rows > 0){
        
        $idTrivia = $dataTrivia["id"];
        $pregunta;
        $opc_1 = '';
        $opc_2 = '';
        $opc_3 = '';
        $opc_4 = '';
        $opc_5 = '';
        $id_pregunta = 0;

        $queryPreguntas = mysqli_query($connect,"SELECT * FROM Trivia_Preguntas WHERE id_trivia = '".$dataTrivia["id"]."' AND estado = 1 ORDER BY orden ASC ");
        while($dataPreguntas = mysqli_fetch_array($queryPreguntas)){

            $queryResp = mysqli_query($connect,"SELECT * FROM Trivias_Respuestas WHERE id_pregunta = '".$dataPreguntas["id"]."' ");

            if( $queryResp->num_rows == 0 ){
                $pregunta = $dataPreguntas["pregunta"];
                $opc_1 = $dataPreguntas["opc_1"];
                $opc_2 = $dataPreguntas["opc_2"];
                $opc_3 = $dataPreguntas["opc_3"];
                $opc_4 = $dataPreguntas["opc_4"];
                $opc_5 = $dataPreguntas["opc_5"];
                $id_pregunta = $dataPreguntas["id"];

                $finalizado = false;
                break;
            }
        }
        
    }
?>


<!--
<script type="text/javascript">
window.$zopim||(function(d,s){var z=$zopim=function(c){z._.push(c)},$=z.s=
d.createElement(s),e=d.getElementsByTagName(s)[0];z.set=function(o){z.set.
_.push(o)};z._=[];z.set._=[];$.async=!0;$.setAttribute("charset","utf-8");
$.src="https://v2.zopim.com/?19RXufXWexdOG0WqgMRP28dkeWe8zyE4";z.t=+new Date;$.
type="text/javascript";e.parentNode.insertBefore($,e)})(document,"script");
</script>
--> 


<!-- Start of taurustel Zendesk Widget script -->
<script id="ze-snippet" src="https://static.zdassets.com/ekr/snippet.js?key=36208d5e-44b6-4107-8713-c3b54f1ab541"> </script>
<!-- End of taurustel Zendesk Widget script -->

<div class="container" style="max-width: 1000px;">

	<div class="row" style="margin-top: 25px">
		
        <!-- PLAYER -->
        <div class="col-md-7" align="center" style="transition: 1s all;" id="columna_player">
            <div id="cont_player">
                <?php echo $data["codigo"]; ?>
		    </div>
        </div>
		
        <!-- TRIVIAS -->
		<div class="col-md-5" align="left" style="color: #000000">
            
            <div id="cont_trivia">
                
                <?php if($finalizado == false){ ?>
                <div class="pregunta"> 
                    <h4><?php echo $pregunta; ?></h4>
                </div>

                <div style="color: #059190; margin-bottom: 15px; text-align: center;">* Seleccione una de las siguientes opciones.</div>

                <div class="opciones">

                    <button type="button" class="botones_trivias" onClick="Registrar_Respuesta(1,<?php echo $id_pregunta; ?>)"><?php echo $opc_1; ?></button>
                    <button type="button" class="botones_trivias" onClick="Registrar_Respuesta(2,<?php echo $id_pregunta; ?>)"><?php echo $opc_2; ?></button>

                    <?php if($opc_3 != ""){?>
                        <button type="button" class="botones_trivias" onClick="Registrar_Respuesta(3,<?php echo $id_pregunta; ?>)"><?php echo $opc_3; ?></button>
                    <?php } ?>
                    <?php if($opc_4 != ""){?>
                        <button type="button" class="botones_trivias" onClick="Registrar_Respuesta(4,<?php echo $id_pregunta; ?>)"><?php echo $opc_4; ?></button>
                    <?php } ?>
                    <?php if($opc_5 != ""){?>
                        <button type="button" class="botones_trivias" onClick="Registrar_Respuesta(5,<?php echo $id_pregunta; ?>)"><?php echo $opc_5; ?></button>
                    <?php } ?>

                </div>
                <?php } ?>
                
            </div>
            
            
			
			
			
		</div>
		
	</div>
	
</div>

<script>
$( document ).ready(function() {
    $("#bt_live").addClass("btn_item_menu_active"); 
});
</script>

<style>
    .btn-outline-light{
        width: 90%; 
        max-width: 300px;
        margin-bottom: 13px;
    }
    .pregunta{
        padding: 20px 0px;
    }
</style>

<script>

vista_streaming = true;
var api = '<?php echo $api; ?>';
    
    
    
function Cargar_Recargar_Live(){
    window.location = "https://acrossco2020.com/live";	
}
    

function Cargar_Pregunta(){
    jQuery.ajax({
        url: api+"cargar_pregunta.php",
        type:'post',
        data: {id: <?php echo $_SESSION['id_user']; ?>},
        }).done(function (resp){
            $("#cont_trivia").html(resp);
        })
        .fail(function(resp) {
            console.log(resp);
        })
        .always(function(resp){
        }
    );		
}
    
function Cargar_Canal(){
    jQuery.ajax({
        url: api+"cargar_canal.php",
        type:'post',
        data: {id: <?php echo $_SESSION['id_user']; ?>},
        }).done(function (resp){
            $("#cont_player").html(resp);
        })
        .fail(function(resp) {
            console.log(resp);
        })
        .always(function(resp){
        }
    );  
}

var activar = false;
function Registrar_Respuesta(opcion, pregunta){
	if(activar == false){
		$("#modal_body").html('Estas a punto de guardar una opción de respuesta ¿Estás seguro?<br><br>');
		$("#modal_body").append('<button type="button" class="btn btn-success" style="margin-right: 10px;" onclick="activar = true; Registrar_Respuesta('+opcion+', '+pregunta+'); Ocultar_Modal()">Guardar Respuesta</button>');
		$("#modal_general").modal('show');
	}
	else{
		$("#cont_trivia").html("Guardando respuesta...");
        activar = false;
        jQuery.ajax({
			url: api+"guardar_respuesta.php",
			type:'post',
			data: {trivia: <?php echo $idTrivia; ?>, opcion: opcion, pregunta:pregunta, id_user:  <?php echo $_SESSION['id_user']; ?>},
			}).done(function (resp){
				$("#xscript").html(resp);
                
			})
			.fail(function(resp) {
				console.log(resp);
			})
			.always(function(resp){
			}
		);
	}
}
   
function Ocultar_Modal(){
    $("#modal_general").modal('hide');
}

function Full_player(){
    $("#columna_player").css( "flex", "0 0 100%" );
    $("#columna_player").css( "max-width", "100%" );
}
    
function Small_player(){
    $("#columna_player").css( "flex", "0 0 58.333333%" );
    $("#columna_player").css( "max-width", "58.333333%" );
}


</script>

<?php
if($queryTrivia->num_rows == 0){
    echo '<script> Full_player(); </script>';
}
if($finalizado == true){
    echo '<script> Full_player(); </script>';
}
?>







   
        